---
apiVersion: image.openshift.io/v1
kind: ImageStream
metadata:
  annotations:
    openshift.io/display-name: MariaDB
    openshift.io/image.dockerRepositoryCheck: "2025-10-27T11:40:53Z"
    samples.operator.openshift.io/version: 4.19.17
  creationTimestamp: "2025-10-27T11:40:48Z"
  generation: 2
  labels:
    samples.operator.openshift.io/managed: "true"
  managedFields:
  - apiVersion: image.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:openshift.io/display-name: {}
          f:samples.operator.openshift.io/version: {}
        f:labels:
          .: {}
          f:samples.operator.openshift.io/managed: {}
      f:spec:
        f:tags:
          .: {}
          k:{"name":"10.3"}:
            .: {}
            f:annotations:
              .: {}
              f:description: {}
              f:iconClass: {}
              f:openshift.io/display-name: {}
              f:openshift.io/provider-display-name: {}
              f:tags: {}
              f:version: {}
            f:from: {}
            f:generation: {}
            f:importPolicy:
              .: {}
              f:importMode: {}
            f:name: {}
            f:referencePolicy:
              .: {}
              f:type: {}
          k:{"name":"10.3-el7"}:
            .: {}
            f:annotations:
              .: {}
              f:description: {}
              f:iconClass: {}
              f:openshift.io/display-name: {}
              f:openshift.io/provider-display-name: {}
              f:tags: {}
              f:version: {}
            f:from: {}
            f:generation: {}
            f:importPolicy:
              .: {}
              f:importMode: {}
            f:name: {}
            f:referencePolicy:
              .: {}
              f:type: {}
          k:{"name":"10.3-el8"}:
            .: {}
            f:annotations:
              .: {}
              f:description: {}
              f:iconClass: {}
              f:openshift.io/display-name: {}
              f:openshift.io/provider-display-name: {}
              f:tags: {}
              f:version: {}
            f:from: {}
            f:generation: {}
            f:importPolicy:
              .: {}
              f:importMode: {}
            f:name: {}
            f:referencePolicy:
              .: {}
              f:type: {}
          k:{"name":"10.5-el7"}:
            .: {}
            f:annotations:
              .: {}
              f:description: {}
              f:iconClass: {}
              f:openshift.io/display-name: {}
              f:openshift.io/provider-display-name: {}
              f:tags: {}
              f:version: {}
            f:from: {}
            f:generation: {}
            f:importPolicy:
              .: {}
              f:importMode: {}
            f:name: {}
            f:referencePolicy:
              .: {}
              f:type: {}
          k:{"name":"10.5-el8"}:
            .: {}
            f:annotations:
              .: {}
              f:description: {}
              f:iconClass: {}
              f:openshift.io/display-name: {}
              f:openshift.io/provider-display-name: {}
              f:tags: {}
              f:version: {}
            f:from: {}
            f:generation: {}
            f:importPolicy:
              .: {}
              f:importMode: {}
            f:name: {}
            f:referencePolicy:
              .: {}
              f:type: {}
          k:{"name":"10.5-el9"}:
            .: {}
            f:annotations:
              .: {}
              f:description: {}
              f:iconClass: {}
              f:openshift.io/display-name: {}
              f:openshift.io/provider-display-name: {}
              f:tags: {}
              f:version: {}
            f:from: {}
            f:generation: {}
            f:importPolicy:
              .: {}
              f:importMode: {}
            f:name: {}
            f:referencePolicy:
              .: {}
              f:type: {}
          k:{"name":"latest"}:
            .: {}
            f:annotations:
              .: {}
              f:description: {}
              f:iconClass: {}
              f:openshift.io/display-name: {}
              f:openshift.io/provider-display-name: {}
              f:tags: {}
            f:from: {}
            f:generation: {}
            f:importPolicy:
              .: {}
              f:importMode: {}
            f:name: {}
            f:referencePolicy:
              .: {}
              f:type: {}
    manager: cluster-samples-operator
    operation: Update
    time: "2025-10-27T11:40:48Z"
  name: mariadb
  namespace: openshift
  resourceVersion: "19731"
  uid: b9792764-386f-41e5-af37-19ae3c7ba08c
spec:
  lookupPolicy:
    local: false
  tags:
  - annotations:
      description: Provides a MariaDB 10.3 database on RHEL 7. For more information
        about using this database image, including OpenShift considerations, see https://github.com/sclorg/mariadb-container/tree/master/10.3/README.md.
      iconClass: icon-mariadb
      openshift.io/display-name: MariaDB 10.3
      openshift.io/provider-display-name: Red Hat, Inc.
      tags: database,mariadb,hidden
      version: "10.3"
    from:
      kind: DockerImage
      name: registry.redhat.io/rhscl/mariadb-103-rhel7:latest
    generation: 2
    importPolicy:
      importMode: Legacy
    name: "10.3"
    referencePolicy:
      type: Local
  - annotations:
      description: Provides a MariaDB 10.3 database on RHEL 7. For more information
        about using this database image, including OpenShift considerations, see https://github.com/sclorg/mariadb-container/tree/master/10.3/README.md.
      iconClass: icon-mariadb
      openshift.io/display-name: MariaDB 10.3 (RHEL 7)
      openshift.io/provider-display-name: Red Hat, Inc.
      tags: database,mariadb
      version: "10.3"
    from:
      kind: DockerImage
      name: registry.redhat.io/rhscl/mariadb-103-rhel7:latest
    generation: 2
    importPolicy:
      importMode: Legacy
    name: 10.3-el7
    referencePolicy:
      type: Local
  - annotations:
      description: Provides a MariaDB 10.3 database on RHEL 8. For more information
        about using this database image, including OpenShift considerations, see https://github.com/sclorg/mariadb-container/tree/master/10.3/README.md.
      iconClass: icon-mariadb
      openshift.io/display-name: MariaDB 10.3 (RHEL 8)
      openshift.io/provider-display-name: Red Hat, Inc.
      tags: database,mariadb
      version: "10.3"
    from:
      kind: DockerImage
      name: registry.redhat.io/rhel8/mariadb-103:latest
    generation: 2
    importPolicy:
      importMode: Legacy
    name: 10.3-el8
    referencePolicy:
      type: Local
  - annotations:
      description: Provides a MariaDB 10.5 database on RHEL 7. For more information
        about using this database image, including OpenShift considerations, see https://github.com/sclorg/mariadb-container/tree/master/10.5/README.md.
      iconClass: icon-mariadb
      openshift.io/display-name: MariaDB 10.5 (RHEL 7)
      openshift.io/provider-display-name: Red Hat, Inc.
      tags: database,mariadb
      version: "10.5"
    from:
      kind: DockerImage
      name: registry.redhat.io/rhscl/mariadb-105-rhel7:latest
    generation: 2
    importPolicy:
      importMode: Legacy
    name: 10.5-el7
    referencePolicy:
      type: Local
  - annotations:
      description: Provides a MariaDB 10.5 database on RHEL 8. For more information
        about using this database image, including OpenShift considerations, see https://github.com/sclorg/mariadb-container/tree/master/10.5/README.md.
      iconClass: icon-mariadb
      openshift.io/display-name: MariaDB 10.5 (RHEL 8)
      openshift.io/provider-display-name: Red Hat, Inc.
      tags: database,mariadb
      version: "10.5"
    from:
      kind: DockerImage
      name: registry.redhat.io/rhel8/mariadb-105:latest
    generation: 2
    importPolicy:
      importMode: Legacy
    name: 10.5-el8
    referencePolicy:
      type: Local
  - annotations:
      description: Provides a MariaDB 10.5 database on RHEL 9. For more information
        about using this database image, including OpenShift considerations, see https://github.com/sclorg/mariadb-container/tree/master/10.5/README.md.
      iconClass: icon-mariadb
      openshift.io/display-name: MariaDB 10.5 (RHEL 9)
      openshift.io/provider-display-name: Red Hat, Inc.
      tags: database,mariadb
      version: "10.5"
    from:
      kind: DockerImage
      name: registry.redhat.io/rhel9/mariadb-105:latest
    generation: 2
    importPolicy:
      importMode: Legacy
    name: 10.5-el9
    referencePolicy:
      type: Local
  - annotations:
      description: |-
        Provides a MariaDB database on RHEL. For more information about using this database image, including OpenShift considerations, see https://github.com/sclorg/mariadb-container/tree/master/10.5/README.md.

        WARNING: By selecting this tag, your application will automatically update to use the latest version of MariaDB available on OpenShift, including major version updates.
      iconClass: icon-mariadb
      openshift.io/display-name: MariaDB (Latest)
      openshift.io/provider-display-name: Red Hat, Inc.
      tags: database,mariadb
    from:
      kind: ImageStreamTag
      name: 10.5-el8
    generation: 1
    importPolicy:
      importMode: Legacy
    name: latest
    referencePolicy:
      type: Local
status:
  dockerImageRepository: ""
  tags:
  - items:
    - created: "2025-10-27T11:40:53Z"
      dockerImageReference: registry.redhat.io/rhscl/mariadb-103-rhel7@sha256:eaaf8ab6d318d72cc4e465609b213f4d9d9171f222f59ae012fa5b96fb3e4ea9
      generation: 2
      image: sha256:eaaf8ab6d318d72cc4e465609b213f4d9d9171f222f59ae012fa5b96fb3e4ea9
    tag: "10.3"
  - items:
    - created: "2025-10-27T11:40:53Z"
      dockerImageReference: registry.redhat.io/rhscl/mariadb-103-rhel7@sha256:eaaf8ab6d318d72cc4e465609b213f4d9d9171f222f59ae012fa5b96fb3e4ea9
      generation: 2
      image: sha256:eaaf8ab6d318d72cc4e465609b213f4d9d9171f222f59ae012fa5b96fb3e4ea9
    tag: 10.3-el7
  - items:
    - created: "2025-10-27T11:40:53Z"
      dockerImageReference: registry.redhat.io/rhel8/mariadb-103@sha256:5c16087bf81b2285e8815970b44385f7c98612fd6eb1af23b6d89db86004efa3
      generation: 2
      image: sha256:5c16087bf81b2285e8815970b44385f7c98612fd6eb1af23b6d89db86004efa3
    tag: 10.3-el8
  - items:
    - created: "2025-10-27T11:40:53Z"
      dockerImageReference: registry.redhat.io/rhscl/mariadb-105-rhel7@sha256:146789aaa36b11c2194c3a1cd1bbc9d56016a67cf2791401b59c339983dd2a5e
      generation: 2
      image: sha256:146789aaa36b11c2194c3a1cd1bbc9d56016a67cf2791401b59c339983dd2a5e
    tag: 10.5-el7
  - items:
    - created: "2025-10-27T11:40:53Z"
      dockerImageReference: registry.redhat.io/rhel8/mariadb-105@sha256:9dea3590288a2f7e58af534af889123e044b0e4e03d179664bf5ac2206e9e91d
      generation: 2
      image: sha256:9dea3590288a2f7e58af534af889123e044b0e4e03d179664bf5ac2206e9e91d
    tag: 10.5-el8
  - items:
    - created: "2025-10-27T11:40:53Z"
      dockerImageReference: registry.redhat.io/rhel9/mariadb-105@sha256:acc20d8b3eb50bef50abda0e44d46d353ba28be950b1685cc8053c977b31eaf6
      generation: 2
      image: sha256:acc20d8b3eb50bef50abda0e44d46d353ba28be950b1685cc8053c977b31eaf6
    tag: 10.5-el9
  - items:
    - created: "2025-10-27T11:40:53Z"
      dockerImageReference: registry.redhat.io/rhel8/mariadb-105@sha256:9dea3590288a2f7e58af534af889123e044b0e4e03d179664bf5ac2206e9e91d
      generation: 2
      image: sha256:9dea3590288a2f7e58af534af889123e044b0e4e03d179664bf5ac2206e9e91d
    tag: latest
